Runner.buttonEvents['46035'] = function( pageObj, proxy, pageid ) {
	var gid = '46035';
	//register a new button
	pageObj.buttonNames[ pageObj.buttonNames.length ] = gid;
		
	if ( !pageObj.buttonEventBefore[ gid ] ) {
		pageObj.buttonEventBefore[ gid ] = function( params, ctrl, pageObj, proxy, pageid, rowData, row, submit ) {		
			var ajax = ctrl;
						
		}
	}

	if ( !pageObj.buttonEventAfter[ gid ] ) {
		pageObj.buttonEventAfter[ gid ] = function( result, ctrl, pageObj, proxy, pageid, rowData, row, params ) {
			var ajax = ctrl;
			

var popup = Runner.displayPopup( {
 
url: "http://192.168.1.44:8082/jasperserver/flow.html?_flowId=viewReportFlow&standAlone=true&_flowId=viewReportFlow&ParentFolderUri=%2Freports%2Frosa&reportUnit=%2Freports%2Frosa%2Fpagos_gestion&j_username=jasperadmin&j_password=jasperadmin&output=xlsx&id_gestion="+result["id_Gestion"], 

width: 900,
  height: 620,
  header: 'Derechos propietarios Vigentes'
});
		}
	}

	$('a[id=' + gid + ']').each( function() {
		if ( $(this).closest('.gridRowAdd').length ) {
			return;
		}
		this.id = gid + "_" + Runner.genId();
		var buttonObj = new Runner.form.Button({
			id: this.id,
			btnName: gid
		});
		buttonObj.init( {args: [ pageObj, proxy, pageid ]} );
	});

};

